Bug 506265 - X crashes at start in an old iMac (Ati Rage 128 RL/VR card) for F11
X crashes at start in an old iMac (Ati Rage 128 RL/VR card) for F11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-r128 (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 09:50 EDT by José Matos
Modified: 2010-12-05 01:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:50:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci -v -nn (2.48 KB, text/plain)
2009-06-16 09:51 EDT, José Matos
no flags Details
xorg.conf generated by "Xorg -configure" (2.74 KB, text/plain)
2009-06-16 09:52 EDT, José Matos
no flags Details
log file (/var/log/Xorg.0.log) (9.98 KB, text/plain)
2009-06-16 09:53 EDT, José Matos
no flags Details
Xorg.0.log for F-12 (12.61 KB, text/x-log)
2009-11-08 14:01 EST, José Matos
no flags Details

  None (edit)
Description José Matos 2009-06-16 09:50:01 EDT
While installing F11 in an old iMac X crashes. I have the latest packages installed.

I will attach to this bug:
 * the output of lspci -v -nn
 * the xorg.conf file generated by Xorg -configure
 * the corresponding log file of the crash /var/log/Xorg.0.log

FWIW the last OS running on this machine was FC-4 where X worked.
Comment 1 José Matos 2009-06-16 09:51:38 EDT
Created attachment 348113 [details]
output of lspci -v -nn
Comment 2 José Matos 2009-06-16 09:52:34 EDT
Created attachment 348114 [details]
xorg.conf generated by "Xorg -configure"
Comment 3 José Matos 2009-06-16 09:53:33 EDT
Created attachment 348115 [details]
log file (/var/log/Xorg.0.log)
Comment 4 Matěj Cepl 2009-06-23 17:45:26 EDT
Backtrace:
0: /usr/bin/X(xorg_backtrace+0x50) [0x10100e60]
1: /usr/bin/X(xf86SigHandler+0xd8) [0x10085a58]
2: [0x100364]
3: [0x10218168]
4: /usr/bin/X(xf86DeleteScreen+0x8c) [0x10095cac]
5: /usr/bin/X(InitOutput+0x628) [0x1006a268]
6: /usr/bin/X(main+0x224) [0x10021ac4]
7: /lib/libc.so.6 [0xf7f33fc]
8: /lib/libc.so.6 [0xf7f35a0]

Fatal server error:
Caught signal 11.  Server aborting
Comment 5 Matěj Cepl 2009-11-05 13:32:18 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 José Matos 2009-11-08 14:01:51 EST
Created attachment 368059 [details]
Xorg.0.log for F-12

I have updated the machine to F12 (more exactly to the latest rawhide). The machine still fails and this is the resulting Xorg.log file.

Backtrace:
0: Xorg (xorg_backtrace+0x58) [0x100b10f8]
1: Xorg (0x10000000+0x687c0) [0x100687c0]
2: (vdso) (__kernel_sigtramp_rt32+0x0) [0x100370]
3: /usr/lib/xorg/modules/libint10.so (xf86ExtendedInitInt10+0x380) [0xeb5cce0]
4: /usr/lib/xorg/modules/libvbe.so (VBEExtendedInit+0x320) [0xeba8760]
5: /usr/lib/xorg/modules/libvbe.so (VBEInit+0x28) [0xeba8908]
6: /usr/lib/xorg/modules/drivers/r128_drv.so (0xede8000+0x10498) [0xedf8498]
7: Xorg (DoConfigure+0xe1c) [0x1014201c]
8: Xorg (InitOutput+0x1ec) [0x1007981c]
9: Xorg (0x10000000+0x18dec) [0x10018dec]
10: /lib/libc.so.6 (0xf790000+0x1e0dc) [0xf7ae0dc]
11: /lib/libc.so.6 (0xf790000+0x1e280) [0xf7ae280]
Bus error at address 0x48172000
Comment 7 José Matos 2009-11-08 14:04:43 EST
Just to add further information:
The configuration file generated by "Xorg -configure" was the same as before.

The Xorg.log file was from running "Xorg -configure".
Comment 8 Bug Zapper 2010-11-04 07:05:58 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 01:50:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.